-- ud_101_20150727.sql
-- ud_104_20150805.sql
-- ud_105_20150807.sql
-- ud_106_20150817.sql
-- A11142FF5651CBDD12F4F3E20C8B5F4A

CREATE OR ALTER procedure UPDATE_PROC
as
declare variable IDCASE integer;
declare variable AGE integer;
begin
  for select K.IDK, K.AGE
      from KARTA K
      where (K.DATE_ENTER >= '01.10.2015') and
            (K.TD = '7')
      into :IDCASE, :AGE
  do
  begin
    update DS D
    set D.DS_COD = case
                     when :AGE >= 18 then 'Z13.9'
                     when :AGE < 18 then 'Z00.1'
                   end
    where D.IDK = :IDCASE;
  end
end; @

COMMIT WORK; @

execute procedure UPDATE_PROC; @

COMMIT WORK; @

DROP PROCEDURE UPDATE_PROC; @